# Class PRS_Revision
extends PRS_ExchangeElement

PRS_Revision records changes to the content.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--PRS_ExchangeElement
|
+--PRS_Revision

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | PRS_Revision records changes to the content.
UMLPackagePath | string | PRS::Support
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
ActivityName | uint8 |
Description | string | The name of the specific revision being made.
ValueMap | string | 0, 1, 2, 254, 255
Values | string | Create, Update, Delete, Other, Unknown
ActivityType | uint8 |
Description | string | Type of revision activity. 'Technical' refers to a change in content. 'Editorial' refers to a change in language or style. 'Administrative' refers to information about the object.
ValueMap | string | 0, 1, 2, 254, 255
Values | string | Technical, Editorial, Administrative, Other, Unknown
Description | string |
Description | string | Text description of what was done in this revision.
Override | string | Description
EditorialStatus | uint8 |
Description | string | The current state of editorial review. 'In Progress' means the content is in the process of being developed. 'Draft' means the content is complete but unedited. 'Reviewed' means the review has been completed. 'Published' means the contents have been released.
ValueMap | string | 0, 1, 2, 3, 254, 255
Values | string | In_Progress, Draft, Reviewed, Published, Other, Unknown
RevisionDate | datetime |
Description | string | The date of this revision.
TechnicalStatus | uint8 |
Description | string | The current state of technical review. 'Open' means created but not necessarily completed or resolved. 'Not Reviewed' means contents have to be reviewed for accuracy and consistency with other content. 'Reviewed' means review has been completed. 'Approved' means formally approval to certify the solution given the specific status of the contents.
ValueMap | string | 0, 1, 2, 3, 254, 255
Values | string | Open, Not Reviewed, Reviewed, Approved, Other, Unknown

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
DirtyFlag | uint8 | PRS_ExchangeElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement
PRSUniqueName | string | PRS_ExchangeElement

## Class Methods